designate (1:12.1.0-0ubuntu1~cloud0) focal-wallaby; urgency=medium

  * New stable point release for OpenStack Wallaby (LP: #1980366).
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 05 Jul 2022 12:10:53 -0400

designate (1:12.0.1-0ubuntu1~cloud1) focal-wallaby; urgency=medium

  * d/control, d/rules: Bump debhelper compat to 12 (LP: #1960636).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 02 Mar 2022 11:36:09 -0500

designate (1:12.0.1-0ubuntu1~cloud0) focal-wallaby; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/wallaby branch.

  [ Chris MacNaughton ]
  * New stable point release for OpenStack Wallaby (LP: #1956992).

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Tue, 25 Jan 2022 13:10:04 +0000

designate (1:12.0.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Apr 2021 14:59:34 -0400

designate (1:12.0.0~rc1-0ubuntu1) hirsute; urgency=medium

  * d/watch: Scope to 12.x series
  * New upstream release candidate for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 29 Mar 2021 12:12:27 +0000

designate (1:11.0.0+git2021012507.e8c901c3-0ubuntu1) hirsute; urgency=medium

  [ Corey Bryant ]
  * d/rules: Override Python 3 shebang.

  [ Chris MacNaughton ]
  * New upstream snapshot for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/disable-edgegrid.patch: Refreshed.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 25 Jan 2021 08:19:52 +0000

designate (1:11.0.0+git2020120911.1ea6d44a-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 09 Dec 2020 11:56:39 -0500

designate (1:11.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 15 Oct 2020 09:59:33 +0000

designate (1:11.0.0~rc1-0ubuntu1) groovy; urgency=medium

  * d/control: Remove Breaks/Replaces that are older than Focal (LP: #1878419).
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * d/watch: Track 11.x series.
  * New upstream release candidate for OpenStack Victoria.
  * d/p/disable-edgegrid.patch: Refreshed.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Tue, 13 Oct 2020 08:07:26 +0000

designate (1:11.0.0~b2~git2020073012.45cb4376-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 30 Jul 2020 12:39:24 +0000

designate (1:11.0.0~b1~git2020062612.eac003cb-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * Align (Build-)Depends with Upstream.
  * d/p/disable-edgegrid.patch: Rebased.
  * d/p/monkey-patch-original-current-thread.patch: Dropped. No longer needed.
  * d/control: Remove version specification for openstack-pkg-tools.
  * d/control: Update Standards-Version to 4.5.0.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Fri, 26 Jun 2020 12:48:00 +0000

designate (1:10.0.0-0ubuntu1) groovy; urgency=medium

  * d/watch: Get tarballs from opendev.org and scope to 10.x series.
  * d/p/monkey-patch-original-current-thread.patch: Cherry-picked
    from upstream review (https://review.opendev.org/#/c/725346/)
    to fix Python 3.8 monkey patching (LP: #1863021).
  * d/p/disable-edgegrid.patch: Rebased.
  * New upstream release for OpenStack Ussuri (LP: #1877642).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 May 2020 16:50:55 -0400

designate (1:10.0.0~b3~git2020041012.9ed2623a-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/designate-common.postinst: Set ownership and permissions for all /var/lib
    files and directories.
  * d/p/disable-edgegrid.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Apr 2020 12:57:22 -0400

designate (1:10.0.0~b3~git2020032414.dd359ba3-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/skip-test.patch: Dropped. No longer needed (LP: #1863936).
  * d/designate-common.postinst: Set default ownership and permissions for
    /etc/<pkg>, /var/lib/<pkg>, and /var/log/<pkg> (LP: #1859422).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 24 Mar 2020 14:48:35 -0400

designate (1:10.0.0~b2~git2020021416.8b5ec128-0ubuntu2) focal; urgency=medium

  * d/p/disable-edgegrid.patch: Drop hard requirement on optional
    edgegrid dependency for the akamai-v2 driver.

 -- James Page <james.page@ubuntu.com>  Tue, 17 Mar 2020 14:42:02 +0000

designate (1:10.0.0~b2~git2020021416.8b5ec128-0ubuntu1) focal; urgency=medium

  [ Sahid Orentino Ferdjaoui ]
  * New upstream snapshot for OpenStack Ussuri.
  * d/p/disable-notstable-test.patch: Removed unstable test.

  [ Corey Bryant ]
  * d/p/disable-notstable-test.patch: Reverted.
  * d/control: Add python3-pymemcache BD.
  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Add python3-edgegrid to Build-Depends/Suggests.
  * d/p/skip-test.patch: Temporarily skip test_network_api tests that are failing
    on Ubuntu builds.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 14 Feb 2020 16:42:25 -0500

designate (1:10.0.0~b1~git2019121610.cdac0fc2-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Drop. Dropped Python2 support
  * d/rules: Switch to pybuild.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Mon, 16 Dec 2019 11:47:56 +0100

designate (1:9.0.0-0ubuntu1) eoan; urgency=medium

  * New stable point release for OpenStack Train.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Wed, 16 Oct 2019 17:36:28 +0100

designate (1:9.0.0~rc1-0ubuntu1) eoan; urgency=medium

  * d/watch: Scope to 9.x series.
  * New upstream release candidate for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 27 Sep 2019 08:50:50 -0400

designate (1:9.0.0~b2~git2019073016.076f9fce-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Tue, 30 Jul 2019 16:34:14 +0200

designate (1:9.0.0~b1~git2019061315.fc5700bd-0ubuntu1) eoan; urgency=medium

  * New upstream release 9.0.0~b1.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Fri, 14 Jun 2019 16:34:47 +0100

designate (1:8.0.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 12 Apr 2019 08:47:07 +0100

designate (1:8.0.0~rc1-0ubuntu1) disco; urgency=medium

  * New upstream release candidate for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 22 Mar 2019 11:26:42 +0000

designate (1:8.0.0~b1~git2019031855.59d8cab9-0ubuntu1) disco; urgency=medium

  [ Corey Bryant ]
  * d/designate-common.postinst: Change /etc/designate to 0750 root:designate.

  [ James Page ]
  * New upstream snapshot for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Mon, 18 Mar 2019 16:37:08 +0000

designate (1:8.0.0~b1~git2019013020.717b94c2-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 30 Jan 2019 15:42:47 +0000

designate (1:8.0.0~b1~git2018111615.6a368fb5-0ubuntu2) disco; urgency=medium

  * d/py(3)dist-overrides: Rename pydist-overrides to py3dist-overrides to
    align with dropping of Python 2 support.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 20 Nov 2018 12:25:16 -0500

designate (1:8.0.0~b1~git2018111615.6a368fb5-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/watch: Scope to 8.x series.
  * d/control, d/rules, d/python(3)-designate.*, d/tests/*: Drop Python 2
    support.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 16 Nov 2018 15:52:27 -0500

designate (1:8.0.0~b1~git20181108.f182ec8d-0ubuntu1) disco; urgency=medium

  * d/tests/designate-shebangs-py3: Update shebang for Python 3.7.
  * New upstream snapshot for OpenStack Stein.
  * d/rules: Add PBR_VERSION to set correct distro version for package build.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Enable Python 3.7 tests.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 09 Nov 2018 11:39:49 -0500

designate (1:7.0.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Aug 2018 10:35:07 -0400

designate (1:7.0.0~rc1-0ubuntu3) cosmic; urgency=medium

  [ James Page ]
  * d/*: Tidy misc lintian warnings and errors.

  [ Corey Bryant ]
  * Additional support for Python 3:
    - d/control: All common files are installed by designate-common. Only have
      python(3)-designate depend on designate-common. Other packages that used to
      depend on designate-common now depend on python-designate | python3-designate.
    - d/control: Drop python(3)-designate conflicts on each other.
    - d/python(3)-designate.postinst: Ensure alternatives priority is 300
      for Py2 and 200 for Py3.
    - d/tests/control: Run Py3 tests first due to alternatives priority.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 27 Aug 2018 13:26:46 -0400

designate (1:7.0.0~rc1-0ubuntu2) cosmic; urgency=medium

  * d/control: Drop py2 BD's on openstackdocstheme and os-api-ref as
    package uses python3-sphinx for documentation build.

 -- James Page <james.page@ubuntu.com>  Thu, 16 Aug 2018 06:37:29 +0100

designate (1:7.0.0~rc1-0ubuntu1) cosmic; urgency=medium

  * New upstream release candidate for OpenStack Rocky.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Aug 2018 15:17:32 -0400

designate (1:7.0.0~b3-0ubuntu1) cosmic; urgency=medium

  * New upstream milestone for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/0001-Replace-StopIteration-with-return-for-pep-0479.patch: Dropped.
    Fixed in new upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Aug 2018 13:32:07 -0400

designate (1:7.0.0~b2-0ubuntu2) cosmic; urgency=medium

  * Add support for Python 3:
    - d/control: Add Py3 BDs and python3-designate package.
    - d/control: Support Py2 first and Py3 as alternative.
    - d/control: Move all python deps to python(3)-designate Depends.
    - d/control: Make python(3)-designate conflict against each other.
    - d/rules: Add Py3 support.
    - d/rules: Use pkgos-dh_auto_install as this helps name binaries for
      update-alternatives.
    - d/rules: Run tests with pkgos-dh_auto_test.
    - d/python-designate.install: Drop, not needed.
    - d/designate-common.install: Drop usr/bin/* as pkgos-dh_auto_install handles
      install of those files.
    - d/python(3)-designate.post*, d/python(3)-designate.prerm: Add update-alternatives
      to enable correct shebangs for Python binaries.
    - d/tests/*: Enable Py3 tests for designate daemons and add shebang tests.
    - d/p/0001-Replace-StopIteration-with-return-for-pep-0479.patch: Cherry-pick
      fix for pep 0479.
    - d/rules: Skip Py3.7 tests until they run successfully upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 06 Jul 2018 16:12:26 -0400

designate (1:7.0.0~b2-0ubuntu1) cosmic; urgency=medium

  * New upstream milestone for OpenStack Rocky.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 Jun 2018 13:16:03 -0400

designate (1:7.0.0~b1-0ubuntu1) cosmic; urgency=medium

  * d/watch: Scope to 7.x series.
  * New upstream milestone for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update Standards-Version to 4.1.4.
  * d/watch, d/copyright: Use https URLs.
  * d/control: Drop obsolete XS-Testsuite: autopkgtest header.
  * d/control, d/tests/*: Enable autopkgtest-pkg-python testsuite.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 24 May 2018 15:37:55 -0700

designate (1:6.0.1-0ubuntu2) cosmic; urgency=medium

  * New stable point release for OpenStack Queens (LP: #1767128).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 02 May 2018 15:11:05 -0400

designate (1:6.0.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 28 Feb 2018 13:37:02 -0500

designate (1:6.0.0~rc1-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.

 -- James Page <james.page@ubuntu.com>  Wed, 14 Feb 2018 17:06:14 +0000

designate (1:6.0.0~b3-0ubuntu1) bionic; urgency=medium

  [ James Page ]
  * d/rules,designate-common.install: Generate and install sample policy
    file only, as default policy is now in code.
  * d/control: Add python-sphinxcontrib.httpdomain to BD's.

  [ Corey Bryant ]
  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 26 Jan 2018 08:43:46 -0500

designate (1:6.0.0~b2-0ubuntu1) bionic; urgency=medium

  * d/watch: Pin to Queens series.
  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/*: wrap-and-sort -bast.
  * d/control: Bump minimum debhelper version to 10, drop BD on dh-
    systemd.
  * d/control: Bumped Standards-Version to 4.1.2.
  * d/rules,designate-common.install: Generate configuration and policy
    files and install directly from etc/designate.

 -- James Page <james.page@ubuntu.com>  Mon, 18 Dec 2017 16:25:33 +0000

designate (1:6.0.0~b1-0ubuntu2) bionic; urgency=low

  * Switch Build-Depends: to python-sphinxcontrib.httpdomain to follow
    upstream rename.

 -- Andy Whitcroft <apw@ubuntu.com>  Wed, 22 Nov 2017 14:33:42 +0000

designate (1:6.0.0~b1-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Dropped. No longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 14 Nov 2017 15:46:56 -0500

designate (1:5.0.0-0ubuntu1) artful; urgency=medium

  * New upstream release for OpenStack Pike.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Aug 2017 09:15:56 -0400

designate (1:5.0.0~rc1-0ubuntu1) artful; urgency=medium

  * New upstream release candidate for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 16 Aug 2017 14:55:38 -0400

designate (1:5.0.0~b3-0ubuntu2) artful; urgency=medium

  * d/control: Set min python-requests to 2.14.2.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Aug 2017 16:18:26 -0400

designate (1:5.0.0~b3-0ubuntu1) artful; urgency=medium

  [ James Page ]
  * d/p/*: Drop, no longer required.
  * New snapshot.

  [ Corey Bryant ]
  * New upstream milestone for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 28 Jul 2017 14:02:36 -0400

designate (1:5.0.0~b1-0ubuntu2) artful; urgency=medium

  * d/p/fix-sqla-versions.patch: Lift upper version bound on sqlalchemy.
  * d/p/sqla-1.1-compat.patch: Cherry pick fixes for SQLAlchemy 1.1
    compatibility.
  * d/rules,test-blacklist.txt: Drop blacklisting of tests.

 -- James Page <james.page@ubuntu.com>  Fri, 05 May 2017 15:06:24 -0400

designate (1:5.0.0~b1-0ubuntu1) artful; urgency=medium

  * New upstream milestone for OpenStack Pike.
  * Align (Build-)Depends with upstream milestone.
  * Disable sphinxdoc helper until document index fixed.
  * Drop all patches, no longer required.
  * Switch Depends on retrying -> tenacity.
  * d/rules,test-blacklist.txt: Blacklist failing tests for SOA record
    retrieval (see http://pad.lv/1688351).

 -- James Page <james.page@ubuntu.com>  Thu, 04 May 2017 13:09:23 -0400

designate (1:4.0.0-0ubuntu1) zesty; urgency=medium

  * New upstream release for Openstack Ocata. 
  * d/control: Cleanup dependencies.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 22 Feb 2017 09:44:20 -0500

designate (1:4.0.0~rc1-0ubuntu1) zesty; urgency=medium

  * d/p/fix-noop-metrics-timed-decorator.patch: Dropped no longer needed.
  * New upstream milestone for Openstack Ocata. 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 06 Feb 2017 09:29:59 -0500

designate (1:4.0.0~b3-0ubuntu1) zesty; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 30 Jan 2017 06:41:29 -0500

designate (1:4.0.0~b2-0ubuntu5) zesty; urgency=medium

  [ Chuck Short ]
  * debian/control, debian/tests: Add autopgktest. 

  [ Corey Bryant ]
  * d/p/fix-noop-metrics-timed-decorator.patch: Cherry-pick patch from gerrit
    to enable designate-mdns execution when monasca-statsd is not installed or
    (LP: #1659638).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 27 Jan 2017 07:58:46 -0500

designate (1:4.0.0~b2-0ubuntu4) zesty; urgency=medium

  * d/control: Move python-monasca-statsd back to Suggests. It is optional
    and disabled by default (see [monasca:statsd] config section).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 25 Jan 2017 10:59:18 -0500

designate (1:4.0.0~b2-0ubuntu3) zesty; urgency=medium

  * d/control: Move python-monasca-statsd to Depends section since it is
    a required dependency.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 25 Jan 2017 08:55:26 -0500

designate (1:4.0.0~b2-0ubuntu2) zesty; urgency=medium

  * d/control, d/pydist-overrides: Add python-monasca-statsd as Suggests
    for binary package as it is optional and not in main.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 03 Jan 2017 11:57:00 -0500

designate (1:4.0.0~b2-0ubuntu1) zesty; urgency=medium

  [ Chuck Short ]
  * New upstream version.
  * debian/control: Add python-monasca-statsd. 
  * debian/patches/skip-tests.patch: Skip failing unit tests.

  [ Corey Bryant ]
  * New upstream milestone for OpenStack Ocata.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 16 Dec 2016 12:15:59 -0500

designate (1:3.0.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release for OpenStack Newton.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 06 Oct 2016 10:40:22 -0400

designate (1:3.0.0~rc2-0ubuntu1) yakkety; urgency=medium

  * d/control: oslo.log min version level in global-requirements is too low,
    so set min version to upper-constraints level (LP: #1628883).
  * New upstream release candidate for OpenStack Newton.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 03 Oct 2016 10:41:21 -0400

designate (1:3.0.0~rc1-0ubuntu1) yakkety; urgency=medium

  * New upstream release candidate for OpenStack Newton (LP: #1590429).
  * Switch unit test execution to ostestr.

 -- James Page <james.page@ubuntu.com>  Tue, 20 Sep 2016 08:58:04 +0100

designate (1:3.0.0~b3-0ubuntu1) yakkety; urgency=medium

  [ James Page ]
  * New upstream release.
  * Add python-os-win to (Build-)Depends.

  [ Corey Bryant ]
  * New upstream version.
  * d/designate-common.install: Install designate-worker and designate-producer
    binaries.
  * d/designate-producer.init.in, designate-worker.init.in: Add init scripts
    for new services.
  * d/control: Add designate-producer and designate-worker binary packages.

  [ David Della Vecchia ]
  * New upstream milestone for OpenStack Newton.
  * d/control: Align (build-)depends with upstream.

  [ Corey Bryant ]
  * d/control: Add epoch to python-tempest.

 -- David Della Vecchia <ddv@canonical.com>  Tue, 30 Aug 2016 11:19:21 -0400

designate (1:3.0.0~b2-0ubuntu1) yakkety; urgency=medium

  * New upstream milestone for OpenStack Newton.
  * Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 Jul 2016 15:11:00 -0400

designate (1:3.0.0~b1-0ubuntu1) yakkety; urgency=medium

  [ James Page ]
  * New upstream version.
  * debian/patches/fixes-keystone-authtoken.patch: Refreshed.
  * Align (Build-)Depends with upstream.

  [ David Della Vecchia ]
  * New upstream milestone for OpenStack Newton.
  * d/control: Align (Build-)Depends with upstream.

 -- David Della Vecchia <ddv@canonical.com>  Mon, 06 Jun 2016 16:55:33 -0400

designate (1:2.0.0-0ubuntu1) xenial; urgency=medium

  * New upstream release for OpenStack Mitaka.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 07 Apr 2016 12:02:43 -0400

designate (1:2.0.0~rc1-0ubuntu1) xenial; urgency=medium

  * New upstream release candidate for OpenStack Mitaka.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 24 Mar 2016 08:05:18 -0400

designate (1:2.0.0~b3-0ubuntu2) xenial; urgency=medium

  * d/man/*, d/designate-common.manpages: Add manpage stubs.
  * d/designate-common.dirs: Dropped usr/share/designate as it is not used.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 21 Mar 2016 15:07:38 -0400

designate (1:2.0.0~b3-0ubuntu1) xenial; urgency=medium

  * New upstream milestone for OpenStack Mitaka.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/fixes-keystone-authtoken.patch: Rebased.
  * d/p/disable_pool_manager_unit_test.patch: Dropped. Fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 09 Mar 2016 14:56:21 -0500

designate (1:2.0.0~b2-0ubuntu2) xenial; urgency=medium

  * d/designate-common.install: Install config files in /etc/designate and
    install individual /usr/bin files.
  * d/designate-common.postinst: Add post install user/group/dir/perm config.
  * d/rules: Install designate.conf.sample to /etc/designate/designate.conf.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 18 Feb 2016 10:36:15 -0500

designate (1:2.0.0~b2-0ubuntu1) xenial; urgency=medium

  * New upstream milestone for OpenStack Mitaka.
  * d/control: Align (build-)depends wth upstream.
  * d/p/disable_pool_manager_unit_test.patch: Cherry pick upstream patch to
    skip test_init_no_pool_targets.
  * d/p/skipped-tests.patch: Dropped. No longer needed.
  * d/*: Remove debconf and dbconfig support.

 -- David Della Vecchia <ddv@canonical.com>  Mon, 25 Jan 2016 10:41:58 -0500

designate (1:2.0.0~b1-0ubuntu1) xenial; urgency=medium

  * New upstream release for OpenStack Mitaka.
  * d/control: Align (build-)depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 15 Dec 2015 13:27:23 -0500

designate (1:1.0.0-0ubuntu1) wily; urgency=medium

  * New upstream release for OpenStack Liberty.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Oct 2015 12:39:43 -0400

designate (1:1.0.0~rc2-0ubuntu1) wily; urgency=medium

  * New upstream release candidate for OpenStack Liberty.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 06 Oct 2015 11:40:30 -0400

designate (1:1.0.0~rc1-0ubuntu3) wily; urgency=medium

  * d/control,designate-zone-manager.init.in: Add binary package an init script
    for missing zone-manager function.

 -- James Page <james.page@ubuntu.com>  Fri, 02 Oct 2015 13:23:04 +0100

designate (1:1.0.0~rc1-0ubuntu2) wily; urgency=medium

  * d/control: Drop python-dnspython3.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 29 Sep 2015 16:28:13 -0400

designate (1:1.0.0~rc1-0ubuntu1) wily; urgency=medium

  * d/watch: Update for upstream rc versioning.
  * New upstream milestone for OpenStack Liberty.
  * d/control: Align (build-)depends with upstream.

 -- James Page <james.page@ubuntu.com>  Mon, 28 Sep 2015 10:42:26 +0100

designate (1:1.0.0~b3-0ubuntu1) wily; urgency=medium

  * New upstream milestone for OpenStack Liberty.
  * d/control: Align (build-)depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 08 Sep 2015 15:50:31 -0400

designate (1:1.0.0~b2-0ubuntu1) wily; urgency=medium

  * New upstream milestone for OpenStack Liberty.
  * d/control: Align (build-)depends with upstream.
  * d/rules: Remove .eggs directory in override_dh_auto_clean.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 19 Aug 2015 10:02:09 -0400

designate (1:1.0.0~b1-0ubuntu5) wily; urgency=medium

  * d/pydist-overrides: Ignore dependency on suds-jurko, provided by
    python-suds in Ubuntu.

 -- James Page <james.page@ubuntu.com>  Wed, 05 Aug 2015 10:52:36 +0200

designate (1:1.0.0~b1-0ubuntu4) wily; urgency=medium

  * No change rebuild with SQLAlchemy 1.0.6.

 -- James Page <james.page@ubuntu.com>  Fri, 24 Jul 2015 09:24:47 +0100

designate (1:1.0.0~b1-0ubuntu3) wily; urgency=medium

  [ Thomas Goirand ]
  * Added -mdns and -pool-manager services through new .deb which were missing
    (LP: #1473460).
  * Removed all individual debian/*.logrotate files, using only a single
    designate-common.logrotate file now.

 -- James Page <james.page@ubuntu.com>  Thu, 16 Jul 2015 11:29:49 +0100

designate (1:1.0.0~b1-0ubuntu2) wily; urgency=medium

  * d/rules: Drop use of OSLO_PACKAGE_VERSION as we always build from
    upstream release tarballs.

 -- James Page <james.page@ubuntu.com>  Fri, 26 Jun 2015 14:08:49 +0100

designate (1:1.0.0~b1-0ubuntu1) wily; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - d/p/skipped-tests.patch: Skip tests that fail in the buildds due to
      use of multicast.
    - d/p/fix-SO_REUSEPORT-usage.patch: Cherry pick workaround for use of
      SO_REUSEPORT socket option with older kernel versions.
    - d/watch: Use tarballs.openstack.org for upstream releases.
    - d/rules: Generalize exclusion of usr/etc installed files with use
      of --fail-missing.
  * New upstream milestone for OpenStack Liberty:
    - d/control: Align (build-)depends with upstream.
    - d/*: wrap-and-sort -a -t.
    - d/p/fix-SO_REUSEPORT-usage.patch: Dropped, included upstream.
  * d/control: Update Vcs fields for Launchpad Git repositories.

 -- James Page <james.page@ubuntu.com>  Thu, 25 Jun 2015 12:06:57 +0100

designate (2015.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Reviewed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 24 Dec 2014 14:43:36 +0800

designate (2015.1.0-0ubuntu1.1) vivid; urgency=medium

  * d/p/fix-SO_REUSEPORT-usage.patch: Cherry pick workaround for use of
    SO_REUSEPORT socket option with older kernel versions, resolving
    FTBFS on distro builders which use 3.2.0 kernels (LP: #1451691).

 -- James Page <james.page@ubuntu.com>  Mon, 11 May 2015 12:00:25 +0100

designate (2015.1.0-0ubuntu1) vivid; urgency=medium

  * New upstream release for OpenStack Kilo. (LP: #1449744) 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 01 May 2015 08:33:33 +0200

designate (2015.1~rc1-0ubuntu1) vivid; urgency=medium

  * New upstream milestone release for OpenStack Kilo:
    - d/control: Align dependencies and versions with upstream.
    - debian/patches/fixup-jsonschema.patch: Dropped no longer needed.
    - debian/patches/skipped-tests.patch: Skip tests that fail
      in the buildds.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 16 Apr 2015 08:44:15 -0400

designate (2015.1~b3-0ubuntu1) vivid; urgency=medium

  * New upstream milestone release for OpenStack Kilo:
    - d/control: Align dependencies and versions with upstream.
    - d/p/fixup-jsonschema.patch: Fixup compat with jsonschema 2.3.0.
  * d/watch: Use tarballs.openstack.org for releases.
  * d/designate-api.init.in: Fixup name for designate-api binary.

 -- James Page <james.page@ubuntu.com>  Mon, 30 Mar 2015 11:05:29 +0100

designate (2014.2-3) experimental; urgency=medium

  * Fix upgrade from Icehouse to Juno failing because of the directive
    database_connection has been renamed connection (Close: #769765).
    Thanks to Andreas Beckmann <anbe@debian.org> for the report.
  * Adds remove-PROTOCOL_SSLv3-from-sslutils.py.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 10 Dec 2014 11:09:35 +0000

designate (2014.2-2) experimental; urgency=medium

  * Using connection = as directive for the db, and using "database sync"
    instead of "database-sync" (Closes: #767853).
  * Added dh-python as build-depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 10 Nov 2014 14:49:22 +0000

designate (2014.2-1) experimental; urgency=medium

  * New upstream release.
  * Mangling upstream rc and beta versions in watch file.

 -- Thomas Goirand <zigo@debian.org>  Sun, 05 Oct 2014 14:24:33 +0800

designate (2014.2~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Added --fail-missing when calling dh_install.
  * Fixed version of rootwrap depends.
  * Now using templated init script for sysv-rc, generated systemd unit and
    upstart jobs, using openstack-pkg-tools >= 13.
  * Standards-Version is now 3.9.6 (no change).
  * Failed unit test suite fails the build.
  * designate-api now depends on adduser.

 -- Thomas Goirand <zigo@debian.org>  Fri, 03 Oct 2014 13:35:35 +0800

designate (2014.2~b3-1) experimental; urgency=medium

  * New upstream release.
  * Uploading to experimental just before the Jessie freeze.
  * Updated (build-)depends form this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Sep 2014 02:11:53 +0800

designate (2014.1-9) unstable; urgency=medium

  * Fixed new upstream URL in debian/rules.
  * Added sqlite3 as depends: for designate-common (Closes: #754673).

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Jul 2014 23:15:25 +0800

designate (2014.1-8) unstable; urgency=medium

  * Now build-depends on openstack-pkg-tools >= 12~.

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Jun 2014 09:08:52 +0000

designate (2014.1-7) unstable; urgency=medium

  * Added missing depends on dbconfig-common (Closes: #749316).

 -- Thomas Goirand <zigo@debian.org>  Mon, 02 Jun 2014 03:04:37 +0000

designate (2014.1-6) unstable; urgency=medium

  * Do not use addgroup in config script (Closes: #749316).

 -- Thomas Goirand <zigo@debian.org>  Fri, 30 May 2014 09:25:43 +0800

designate (2014.1-5) unstable; urgency=medium

  * Added a copytruncate in logrotate scripts.

 -- Thomas Goirand <zigo@debian.org>  Thu, 29 May 2014 14:04:33 +0800

designate (2014.1-4) unstable; urgency=medium

  * Added missing dependency on adduser (Closes: #749316).

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 May 2014 12:53:18 +0800

designate (2014.1-3) unstable; urgency=medium

  * Added French debconf templates translation thanks to Julien Patriarca
    <leatherface@debian.org> (Closes: #747511).

 -- Thomas Goirand <zigo@debian.org>  Mon, 12 May 2014 05:38:37 +0800

designate (2014.1-2) unstable; urgency=medium

  * Added Portuguese debconf translation, thanks to Américo Monteiro
    <a_monteiro@gmx.com> (Closes: #746599).

 -- Thomas Goirand <zigo@debian.org>  Sat, 03 May 2014 06:59:17 +0000

designate (2014.1-1) unstable; urgency=medium

  * New upsteram release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Apr 2014 00:40:07 +0800

designate (2014.1~rc1-1) experimental; urgency=low

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Apr 2014 14:02:53 +0800

designate (2014.1~b3-1) experimental; urgency=low

  * Initial release (Closes: #731406).

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Dec 2013 09:55:26 +0800

